Subject: Re: bug#29008: 26.0.90; two bugs in gnus-read-ephemeral-*

From: Noam Postavsky <[email-masked]>
Date: Thu, 26 Oct 2017 20:12:37 -0400

Katsumi Yamaoka <[email-masked]> writes:

> I did nothing special for it, so it seems the default feature.
> In my case the cache is stored in the file:
>
> ~/.emacs.d/url/cache/yamaoka/https/org/gnu/debbugs/251a7740923b0757bb1cd2b95e60bf88

Ah, it's url-automatic-caching which defaults to nil.  After setting to
t I can reproduce the error.

It seems to me that 3xx HTTP errors should not signal a file-error, as
they merely indicate redirects or similar.  Probably not a good idea to
start messing with error handling in the release branch though.

So I would suggest that your fix could go to emacs-26 but marked not to
merge to master, and master could be changed not to signal error on 3xx
HTTP codes.  What do you think?